Bug 19603 - Move admin templates JavaScript to the footer: Patrons and circulation
Summary: Move admin templates JavaScript to the footer: Patrons and circulation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19608
Blocks: 17858 19641
  Show dependency treegraph
 
Reported: 2017-11-09 14:29 UTC by Owen Leonard
Modified: 2018-01-16 12:21 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19603: Move admin templates JavaScript to the footer: Patrons and circulation (35.04 KB, patch)
2017-11-09 14:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19603: Move admin templates JavaScript to the footer: Patrons and circulation (34.92 KB, patch)
2017-11-17 15:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19603: Move admin templates JavaScript to the footer: Patrons and circulation (34.97 KB, patch)
2017-11-23 14:32 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19603: Move admin templates JavaScript to the footer: Patrons and circulation (35.11 KB, patch)
2017-12-12 13:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19603: Move admin templates JavaScript to the footer: Patrons and circulation (35.16 KB, patch)
2017-12-23 19:51 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19603: (QA follow-up) Remove unused message (1.18 KB, patch)
2017-12-23 19:51 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-09 14:29:16 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for the patrons and circulation administration templates.
Comment 1 Owen Leonard 2017-11-09 14:32:11 UTC Comment hidden (obsolete)
Comment 2 Simon Pouchol 2017-11-10 12:26:50 UTC
Hi Owen,
I was unable to apply this patch :
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt).
Comment 3 Owen Leonard 2017-11-10 12:48:16 UTC
Did you apply the patch for Bug 19594 first?
Comment 4 Simon Pouchol 2017-11-10 12:52:17 UTC
Yes I did, followed the same steps as for signing off bug 19601.
Comment 5 Owen Leonard 2017-11-17 15:50:29 UTC Comment hidden (obsolete)
Comment 6 Dominic Pichette 2017-11-17 20:29:24 UTC
can't apply the patch, I tried a git reset --hard origin/master without success:

fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/admin/categories.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 19603: Move admin templates JavaScript to the footer: Patrons and circulation
Comment 7 Claire Gravely 2017-11-23 14:32:00 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2017-12-12 13:56:08 UTC
Created attachment 69734 [details] [review]
Bug 19603: Move admin templates JavaScript to the footer: Patrons and circulation

This patch modifies the staff client patrons and circulation-related
administration templates so that JavaScript is included in the footer
instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
tabs, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Edit: Rebased
Comment 9 Katrin Fischer 2017-12-21 23:19:54 UTC
Dependency still needs sign-off - moving to BLOCKED for now. Please move it back once the dependency is ready for QA.
Comment 10 Josef Moravec 2017-12-23 19:51:50 UTC
Created attachment 70152 [details] [review]
Bug 19603: Move admin templates JavaScript to the footer: Patrons and circulation

This patch modifies the staff client patrons and circulation-related
administration templates so that JavaScript is included in the footer
instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
tabs, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Edit: Rebased

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 11 Josef Moravec 2017-12-23 19:51:57 UTC
Created attachment 70153 [details] [review]
Bug 19603: (QA follow-up) Remove unused message

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 12 Jonathan Druart 2017-12-26 15:53:34 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 13 Nick Clemens 2018-01-16 12:21:06 UTC
Enhancement, skipping for 17.11.x.
Awesome work everybody!